# Electronics Production

## Introduction

I have worked with a CNC milling machine for my graduation project, at that time my instructor told me about using the CNC machine to produce a PCB since that I was curious about it. In this day I have learned about the PCB milling machine.

## Design and milling

#### Machine set up

The day started by the design of the programmer. I have not designed it instead, I have downloaded it as a png picture. This website [fabmodules](http://fabmodules.org/) is where the picture is converted to `.rml` format.

After the picture has been converter to the required format, I have started to set up the machine which is the SRM-20 machine.

The following images show the process of setting up the machine and preparing the spindle.

![](images/1.jpg)

![](images/2.jpg)

FR1 paper is used to produce the PCB, for the programmer one side paper is used, but for more complicated designs double side paper could be used. There are other types of paper like the FR4, but it is not recommended. When I was preparing the paper, I have hold it in the wrong way. My fingerprint can be seen in the following image, this may cause a short circuit if any design is produced over it.

The following photo also shows a number of milling bits. For the traces 1/64" bit will be used whereas 1/32" bit for the cover both are two flutes with the spindle diameter of 3.175mm. The cutting part of the bit must not too tall so that it does not break during the operation especially the traces bit.

![](images/3.jpg)

The following image shows a rigid box of foam, this box is placed inside the machine because the bit can not go down in the z-axis and reach the paper. The following pictures show the process of placing the paper on the foam with a double face tape. During this process, I have checked several time for any bubbles. These bubbles will cause the surface to be uneven and may cause the bit to break.

![](images/4.jpg)

Next step was to place the milling bit, this process is very sensitive, so the first thing to do was placing a sheet of cartoon over the FR1 paper to protect the bit if it falls down during the installation process. I have used two fingers also as shown in the following image to make sure the bit does not fall. I have fixed bit so that at least 20% of the spindle is visible for the purpose of setting up the zero z-axis.


![](images/5.jpg)

#### Downloading the software

After setting up the SRM-20, I have downloaded the software starting from [this link](startup.rolanddg.com), I have opened an account on roland support to be able to download the software.

#### Producing the design

Now the machine is connected to the computer. Before doing anything or starting any operation, the origin should be set. There are two coordinates, user and machine coordinated. User coordinate system should be zero in all directions then the milling operation can be started.

Last step is to remove the programmer from the FR1 paper, this can be done using a screw driver. The programmer must be removed easily otherwise start the operation again with a deeper z-axis. Fortunately the programmer is removed from the first time.  

![](images/6.jpg)

#### Problem with the design

The first programmer had a short circuit, the problem is that the picture of the design is 600dpi so to solve this problem I have downloaded another picture for the same design, but with higher dpi. It was 1000 dpi.

## Soldering and testing

ِAfter I have produced the PCB, I have started soldering the components. All the components are surface mounted which means that the component will not fit inside a hole, instead it will soldered on the PCB surface directly.

To start soldering, frist thing I did is preparing the soldering station. I have a solder station which needs a 110V input so I need a transformer to covert the 220v output to the needed 110v.

![](images/7.jpg)

Next, I have prepared the parts:

1. x1 ATiny 45 micro controller.
2. x2 1K ohm resistors.
3. x2 500 ohm resistors.
4. x2 50 ohm resistors.
5. x2 3.3v Zener diode.
6. x1 Red LED.
7. x1 Green LED, I have used Blue since I don't have Green.
8. x1 100nF Capacitor.
9. x1 2x3 Connector.

#### Soldering



#### Programming
#### Testing
